# guInternal.c File Reference

`#include "guInternal.h"`

Include dependency graph for guInternal.c:

## Variables

unsigned int | gu_current_frame
GuContext | gu_contexts [3]
int | ge_list_executed [2]
void * | ge_edram_address
GuSettings | gu_settings
GuDisplayList * | gu_list
int | gu_curr_context
int | gu_init
int | gu_display_on
int | gu_call_mode
int | gu_states
GuDrawBuffer | gu_draw_buffer
unsigned int * | gu_object_stack [32]
int | gu_object_stack_depth
GuLightSettings | light_settings [4]

## Variable Documentation

void* ge_edram_address

int ge_list_executed[2]

int gu_call_mode

GuContext gu_contexts[3]

int gu_curr_context

unsigned int gu_current_frame

int gu_display_on

GuDrawBuffer gu_draw_buffer

int gu_init

GuDisplayList* gu_list

unsigned int* gu_object_stack[32]

int gu_object_stack_depth

GuSettings gu_settings

int gu_states

GuLightSettings light_settings[4]

Initial value:

    {
            {
                    { 0x18, 0x5f, 0x63, 0x64 },
                    { 0x65, 0x6f, 0x70, 0x71 },
                    { 0x8f, 0x90, 0x91, 0x7b },
                    { 0x7c, 0x7d, 0x87, 0x8b }
            },

            {
                    { 0x19, 0x60, 0x66, 0x67 },
                    { 0x68, 0x72, 0x73, 0x74 },
                    { 0x92, 0x93, 0x94, 0x7e },
                    { 0x7f, 0x80, 0x88, 0x8c }
            },

            {
                    { 0x1a, 0x61, 0x69, 0x6a },
                    { 0x6b, 0x75, 0x76, 0x77 },
                    { 0x95, 0x96, 0x97, 0x81 },
                    { 0x82, 0x83, 0x89, 0x8d }
            },

            {
                    { 0x1b, 0x62, 0x6c, 0x6d },
                    { 0x6e, 0x78, 0x79, 0x7a },
                    { 0x98, 0x99, 0x9a, 0x84 },
                    { 0x85, 0x86, 0x8a, 0x8e }
            }
    }